=== debian/changelog ===
golang-github-valyala-gozstd (1.9.0+ds-7) unstable; urgency=medium

  * Ignore test suite errors on ARM CPUs due to weakly setup hardware

 -- Guillem Jover <gjover@sipwise.com>  Tue, 26 Jan 2021 19:57:13 +0100

golang-github-valyala-gozstd (1.9.0+ds-6) unstable; urgency=medium

  * Fix debian/watch file syntax
  * Skip memory heavy unit test on ARM systems instead of trying reduce it

 -- Guillem Jover <gjover@sipwise.com>  Mon, 25 Jan 2021 18:48:53 +0100

golang-github-valyala-gozstd (1.9.0+ds-5) unstable; urgency=medium

  * Add missing patch metadata.
  * Redeuce test memory usage so that autopkgtest pass. On 32-bit systems
    with not enough RAM, the test suite might consume all memory.
  * Update copyright years

 -- Guillem Jover <gjover@sipwise.com>  Wed, 20 Jan 2021 17:02:38 +0100

golang-github-valyala-gozstd (1.9.0+ds-4) unstable; urgency=medium

  * Fix memory leaks in test case causing memory exhaustion on 32-bit systems,
    and revert --no-parallel override.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 13 Jan 2021 22:29:54 +0100

golang-github-valyala-gozstd (1.9.0+ds-3) unstable; urgency=medium

  * Disable parallel execution for dh_auto_test, which triggers allocation
    errors due to memory limits on 32-bit architectures in autopkgtests.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 13 Jan 2021 00:59:02 +0100

golang-github-valyala-gozstd (1.9.0+ds-2) unstable; urgency=medium

  * Mark package as Multi-Arch:foreign.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 06 Jan 2021 01:09:29 +0100

golang-github-valyala-gozstd (1.9.0+ds-1) unstable; urgency=medium

  * New upstream release.
    - Unvendor zdict.h too.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 21 Dec 2020 04:27:12 +0100

golang-github-valyala-gozstd (1.8.3+ds-1) unstable; urgency=medium

  * Initial release (Closes: #953661)

 -- Guillem Jover <gjover@sipwise.com>  Sat, 12 Dec 2020 02:11:28 +0100
