=== debian/control ===
Source: golang-github-valyala-gozstd
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Guillem Jover <gjover@sipwise.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 libzstd-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
Homepage: https://github.com/valyala/gozstd
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/valyala/gozstd

Package: golang-github-valyala-gozstd-dev
Architecture: all
Multi-Arch: foreign
Depends:
 libzstd-dev,
 ${misc:Depends},
Description: go wrapper for zstd (library)
 This package provides Go bindings for the libzstd C library.
 .
 Features:
  * Simple API.
  * Optimized for speed. The API may be easily used in zero allocations mode.
  * Compress* and Decompress* functions are optimized for high concurrency.
  * Proper Writer.Flush for network apps.
  * Supports the following features from upstream zstd:
    - Block / stream compression / decompression with all the supported
      compression levels and with dictionary support.
    - Dictionary building from a sample set. The created dictionary may be
      saved to persistent storage / transferred over the network.
    - Dictionary loading for compression / decompression.
 .
 There is also StreamCompress and Writer for stream compression and
 StreamDecompress and Reader for stream decompression.
