=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

ifeq ($(DEB_HOST_ARCH_CPU),arm)
override_dh_auto_test:
	# Ignore errors due to out of memory panics.
	-dh_auto_test
endif
