## golang-github-valyala-gozstd 1.14.2+ds

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 GOOS_GOARCH := $(GOOS)_$(GOARCH)
 GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
 LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
-ZSTD_VERSION ?= master
+ZSTD_VERSION ?= v1.5.0
+MUSL_BUILDER_IMAGE=golang:1.17.1-alpine
+BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(MUSL_BUILDER_IMAGE) | tr : _)
 
 .PHONY: libzstd.a
 
@@ -22,7 +24,27 @@
 	cd zstd/lib && CC=aarch64-linux-gnu-gcc ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
 	mv zstd/lib/libzstd.a libzstd_linux_arm64.a
 endif
+ifeq ($(GOOS_GOARCH),linux_musl_amd64)
+	cd zstd/lib && ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
+	mv zstd/lib/libzstd.a libzstd_linux_musl_amd64.a
 endif
+endif
+
+package-builder:
+	(docker image ls --format '{{.Repository}}:{{.Tag}}' | grep -q '$(BUILDER_IMAGE)$$') \
+		|| docker build \
+			--build-arg builder_image=$(MUSL_BUILDER_IMAGE) \
+			--tag $(BUILDER_IMAGE) \
+			builder
+
+package-musl: package-builder
+	docker run --rm \
+		--user $(shell id -u):$(shell id -g) \
+		--mount type=bind,src="$(shell pwd)",dst=/zstd \
+		-w /zstd \
+		$(DOCKER_OPTS) \
+		$(BUILDER_IMAGE) \
+		sh -c "GOOS=linux_musl make clean libzstd.a"
 
 clean:
 	rm -f $(LIBZSTD_NAME)
@@ -36,8 +58,8 @@
 	mv zstd-tmp zstd
 	$(MAKE) clean libzstd.a
 	cp zstd/lib/zstd.h .
-	cp zstd/lib/dictBuilder/zdict.h .
-	cp zstd/lib/common/zstd_errors.h .
+	cp zstd/lib/zdict.h .
+	cp zstd/lib/zstd_errors.h .
 
 test:
 	CGO_ENABLED=1 GODEBUG=cgocheck=2 go test -v
