=== debian/changelog ===
golang-github-valyala-gozstd (1.14.2+ds-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch merged upstream.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Guillem Jover <gjover@sipwise.com>  Thu, 11 Nov 2021 15:05:57 +0100
