=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  libzstd-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
 Homepage: https://github.com/valyala/gozstd
