=== debian/changelog ===
golang-github-valyala-gozstd (1.16.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Reorganize control fields.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 12 Mar 2022 00:54:25 +0100
