=== debian/changelog ===
golang-github-valyala-gozstd (1.17.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 17 Jun 2022 18:21:28 +0200
