=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: golang-github-valyala-gozstd
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
  libzstd-dev,
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
 Homepage: https://github.com/valyala/gozstd
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/valyala/gozstd
 
 Package: golang-github-valyala-gozstd-dev
