=== debian/changelog ===
golang-github-valyala-gozstd (1.20.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 10 Aug 2023 12:43:48 +0200
