=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-any,
  libzstd-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
 Homepage: https://github.com/valyala/gozstd
