## golang-github-valyala-gozstd 1.21.2%2Bds1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 GOOS_GOARCH := $(GOOS)_$(GOARCH)
 GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
 LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
-ZSTD_VERSION ?= v1.5.5
+ZSTD_VERSION ?= v1.5.6
 ZIG_BUILDER_IMAGE=euantorano/zig:0.10.1
 BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(ZIG_BUILDER_IMAGE) | tr : _ | tr / _)-1
 
@@ -82,7 +82,7 @@
 	cp zstd/lib/zstd_errors.h .
 
 test:
-	CGO_ENABLED=1 GODEBUG=cgocheck=2 go test -v
+	CGO_ENABLED=1 GOEXPERIMENT=cgocheck2 go test -v
 
 bench:
 	CGO_ENABLED=1 go test -bench=.
