## golang-github-valyala-gozstd 1.21.2+ds1

=== debian/changelog ===
golang-github-valyala-gozstd (1.21.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 01 Feb 2025 00:02:46 +0100
